Subject: Re: [PATCH net-next 0/9] net: Kernel side filtering for route dumps

From: Sowmini Varadhan <[email-masked]>
Date: Thu, 11 Oct 2018 15:32:48 -0400

Without getting into Ahern's patchset, which he obviously feels 
quite passionately about..

On (10/11/18 12:28), David Miller wrote:
> 
> Once you've composed the message, the whole point of filtering is lost.

it would be nice to apply the filter *before* constructing the skb, 
but afaict most things in BPF today only operate on sk_buffs. How should
we use *BPF on something other than an sk_buff?

--Sowmini